Bug 1704777 - Expression editor does not allow to select appropriate operand (in some cases)
Summary: Expression editor does not allow to select appropriate operand (in some cases)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.4
Assignee: Harpreet Kataria
QA Contact: John Dupuy
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1563823
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-30 13:26 UTC by Satoe Imaishi
Modified: 2019-05-21 05:47 UTC (History)
10 users (show)

Fixed In Version: 5.10.4.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1563823
Environment:
Last Closed: 2019-05-21 05:47:11 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1247 None None None 2019-05-21 05:47:14 UTC

Comment 2 CFME Bot 2019-04-30 13:31:35 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/336e1813fafb43a09e6ee1fe680dbd2a083742c9
commit 336e1813fafb43a09e6ee1fe680dbd2a083742c9
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Wed Jan 23 01:05:29 2019 -0500
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Wed Jan 23 01:05:29 2019 -0500

    Merge pull request #5176 from h-kataria/datetime_field_expression_fix

    Fixed check in if condition

    (cherry picked from commit a01882a8100ef11cab8fd93f849629847117b26b)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1704777

 app/controllers/application_controller/filter/expression.rb | 4 +-
 spec/controllers/application_controller/filter/expression_spec.rb | 28 +
 2 files changed, 31 insertions(+), 1 deletion(-)

Comment 3 John Dupuy 2019-05-08 12:40:41 UTC
Verified in 5.10.4.1.20190430152139_40a1d86

Steps of verification:
1. Copy report Events -> Policy -> Policy Event for last & Days
2. Go to Custom and edit copied report -> Filter 
3. Edit expression: select any field and after that select back original field "Policy Event.Miq Policy Sets : Date Created:" (also checked "Policy Event.Miq Actions : Date created")
4. Verified that all options are available, not CONTAINS

Comment 5 errata-xmlrpc 2019-05-21 05:47:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1247


Note You need to log in before you can comment on or make changes to this bug.